http://www.ultimatepp.org/forum/index.php?t=msg&#38;90t0=39749&#38;#msg 39749

History

#1 - 05/05/2013 12:46 PM - Miroslav Fidler
- Status changed from New to Approved

#2 - 08/17/2013 07:39 AM - Sender Ghost

- File 461_uppsrc_fix.diff added

- Status changed from Approved to Patch ready

- Assignee set to Miroslav Fidler

- Priority changed from Normal to High

| found a bug in current implementation (r6032).

How to reproduce:

1. Enable persistent Find/Replace dialog (Setup -> Environment -> Editor -> Do not close Find/Replace dialog automatically).
2. Try to find something with Edit -> Find and Replace -> Find.. (Ctrl + F).

3. Do the 2nd step again, but do not close the dialog, e.g. Ctrl + F, select ThelDE window caption, Ctrl + F again.

In conclusion, even persistent dialog should be closed, before invoked again.

| attached possible patch to fix this issue.

#3 - 08/17/2013 08:33 AM - Sender Ghost

What | said:

In conclusion, even persistent dialog should be closed, before invoked again.

is not quite true.

It is possible to check the open state of window and don't open it again:

if(!findreplace.lsOpen())
findreplace.Open();

But need to center already opened window (because Replace and Find type of window has different size, in case of bottom position).
http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=39749&#38;#msg_39749
http://www.ultimatepp.org/redmine/projects/upp/repository/revisions/6032/entry/trunk/uppsrc/CodeEditor/FindReplace.cpp#L440

#4 - 08/29/2013 03:14 PM - Miroslav Fidler
- Status changed from Patch ready to Ready for CR
- Assignee changed from Miroslav Fidler to Sender Ghost

Feels overcomplicated... what about just closing it if it is open? (in svn now).

#5 - 08/29/2013 05:47 PM - Sender Ghost

- Assignee changed from Sender Ghost to Miroslav Fidler

Miroslav Fidler wrote:

Feels overcomplicated... what about just closing it if it is open? (in svn now).

This works, but as | already said:

need to center already opened window (because Replace and Find type of window has different size, in case of bottom position).
How to check:
1. Open "Find" dialog (Ctrl + F), type some character(s) to search, then push "Find Next" button. The "Find" dialog will change its position to bottom.
2. Click on the caption of ThelDE window or select some character(s)/word(s) with using mouse, then open "Replace in selection" dialog (Ctrl + H). The
"Replace in selection" dialog will have the same bottom position, but its "Replace" and "Cancel" buttons are in below position and not very reachable. The
user need to reposition the window to see button labels.

Possible fix of this issue - centered position of the window, | think.

My patch uses right place to close the window, by invoking CloseFindReplace method with true argument. If you place your changes to the same

position, then it will fix mentioned issue, but it will duplicate CloseFindReplace method contents (findreplace.Close()), which | tried to avoid with my

patch.

#6 - 09/03/2013 07:51 PM - Miroslav Fidler

I do not know, | am trying to reproduce and everything works find. It IMO does not even make sense looking at the code: Pressing Ctrl+H leads to Close,
then another Open, which centers the dialog.

| am testing with Linux Mint...

Am | doing something wrong?

#7 - 09/04/2013 04:38 AM - Sender Ghost

- File Just_Ctrl_H.png added

- File Ctrl_H_After_Ctrl_F.png added

Miroslav Fidler wrote:

Am | doing something wrong?
/redmine/attachments/156/461_uppsrc_fix.diff
http://www.ultimatepp.org/redmine/projects/upp/repository/revisions/6292/entry/trunk/uppsrc/CodeEditor/FindReplace.cpp#L447
/redmine/projects/upp/repository/revisions/6292/diff/trunk/uppsrc/CodeEditor/FindReplace.cpp
http://www.ultimatepp.org/redmine/projects/upp/repository/revisions/6292/entry/trunk/uppsrc/CodeEditor/FindReplace.cpp#L447
http://www.ultimatepp.org/redmine/projects/upp/repository/revisions/6292/entry/trunk/uppsrc/CodeEditor/FindReplace.cpp#L447
http://www.ultimatepp.org/redmine/projects/upp/repository/revisions/6292/entry/trunk/uppsrc/CodeEditor/FindReplace.cpp#L600

Seems like, you didn't enable Setup -> Environment -> Editor -> Do not close Find/Replace dialog automatically option, to test.

Miroslav Fidler wrote:

| am testing with Linux Mint...

Ok, | tested with Linux Mint 12 (which was already installed inside virtual machine). The "Replace in selection" dialog also placed to bottom (after "Find"

dialog invocation), but with layout deformation (as seen on attached images).

On Windows XP, as explained in my previous comment (e.g., the part of bottom layout with buttons is under toolbar, in case of maximized window).

#8 - 09/04/2013 07:59 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Sender Ghost

Argh, | am an idiot... reproduced.

OK. I believe that moving Close before Setup has fixed it...

#9 - 09/04/2013 09:20 PM - Sender Ghost

- File 461_uppsrc2_fix.diff added

- Status changed from Ready for CR to Patch ready

- Assignee changed from Sender Ghost to Miroslav Fidler

- Priority changed from High to Normal

Miroslav Fidler wrote:

OK. | believe that moving Close before Setup has fixed it...

No, it doesn't.

My first patch fixes it. | also created second version of the patch, just to show what | meant.

#10 - 09/05/2013 09:57 PM - Sender Ghost
- Status changed from Patch ready to Approved
